/* 
*
*  ProLinga-Run
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Run.
*
*  ProLinga-Run is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Run is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Run.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#include "RunCommon.h"
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <libxml/xpath.h>
#include "DataAccess.hpp"
#ifdef BUILD_DATA
#include <prolinga/Data.hpp>
extern PlDataPtr datRunPtr;
                                                                                                                                             
xmlDocPtr DataAccess(const xmlDocPtr docReq)
{
	/* Process Request */
	return datRunPtr->executeCommand(docReq);
}
#else
#include <prolinga/SoapClient.hpp>

xmlDocPtr DataAccess(const xmlDocPtr docReq, const char *dataEndPoint, const int dataCompressionLevel)
{
	PlSoapClient sclient;

	/* Process Request */
	return sclient.soapCall(docReq, dataEndPoint, dataCompressionLevel);
}
#endif


